/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2006 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EjbHaClusterForm.java 9417 2006-08-09 08:00:33Z danesa $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.webapp.jonasadmin.monitoring;

public class EjbHaClusterForm extends BaseClusterForm {


	private String ejbHaMcastAddr = "N/A";
	private String ejbHaMcastPort = "N/A";
	private int ejbHaBytesReceived = -1;
	private int ejbHaBytesSent = -1;


	public int getEjbHaBytesReceived() {
		return ejbHaBytesReceived;
	}
	public void setEjbHaBytesReceived(int ejbHaBytesReceived) {
		this.ejbHaBytesReceived = ejbHaBytesReceived;
	}
	public int getEjbHaBytesSent() {
		return ejbHaBytesSent;
	}
	public void setEjbHaBytesSent(int ejbHaBytesSent) {
		this.ejbHaBytesSent = ejbHaBytesSent;
	}
	public String getEjbHaMcastAddr() {
		return ejbHaMcastAddr;
	}
	public void setEjbHaMcastAddr(String ejbHaMcastAddr) {
		this.ejbHaMcastAddr = ejbHaMcastAddr;
	}
	public String getEjbHaMcastPort() {
		return ejbHaMcastPort;
	}
	public void setEjbHaMcastPort(String ejbHaMcastPort) {
		this.ejbHaMcastPort = ejbHaMcastPort;
	}

}
