<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<html:form action="/UndeployModule">
<html:hidden property="action"/>
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditDomain"><bean:message key="tab.domain"/></sj:tab>
  <sj:tab forward="ActionEditDomain" selected="true">
    <bean:message key="tab.catalina.connectors.confirm"/>
    <bean:write name="itemsServersForm" property="action"/>
    from
    <bean:write name="itemsServersForm" property="current"/>
  </sj:tab>

  <sj:panel>

    <sj:jonasgrid>
      <logic:empty name="itemsServersForm" property="firstModule">
        <sj:gridrow styleClass="errors">
          <sj:gridcol><bean:message key="message.domain.apply.modules.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:empty>
      <logic:notEmpty name="itemsServersForm" property="firstModule">
        <bean:size id="listSize" name="listServersSelected"/>
        <logic:equal name="listSize" value="0">
          <sj:gridrow styleClass="errors">
            <sj:gridcol><bean:message key="message.domain.apply.servers.none"/></sj:gridcol>
          </sj:gridrow>
        </logic:equal>
        <logic:notEqual name="listSize" value="0">
          <logic:iterate id="item" name="listServersSelected">
            <sj:gridrow>
              <sj:gridcol width="5%">
                <html:multibox property="selectedItems">
                  <bean:write name="item" property="name"/>
                </html:multibox>
              </sj:gridcol>
              <sj:gridcol>
                <bean:write name="item" property="name"/>
              </sj:gridcol>
            </sj:gridrow>
          </logic:iterate>
        </logic:notEqual>

      </logic:notEmpty>
    </sj:jonasgrid>

    <logic:notEmpty name="itemsServersForm" property="firstModule">
      <logic:notEqual name="listSize" value="0">
        <sj:panelSeparator/>

        <sj:jonasgrid globalRowStyleClass="panel">
          <sj:gridrow>
            <sj:gridcol>
              <sj:jonasbutton href="javascript:submitHidden('itemsServersForm','action','confirm')">
                <bean:message key="button.confirm"/>
              </sj:jonasbutton>
            </sj:gridcol>
          </sj:gridrow>
        </sj:jonasgrid>
      </logic:notEqual>
    </logic:notEmpty>
  </sj:panel>
</sj:tabs>
</html:form>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>